netatalk 4.5.1
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
[struct].arc_cache Struct Reference

## Data Structures
struct | [struct].arc_cache.stats

## Data Fields
int | enabled
q_t * | t1
q_t * | t2
q_t * | b1
q_t * | b2
size_t | t1_size
size_t | t2_size
size_t | b1_size
size_t | b2_size
size_t | p
size_t | c
struct | stats

## Detailed Description

ARC cache state

## Field Documentation

## ◆ b1

q_t* [struct].arc_cache b1

Ghost entries from T1 (full struct dir with DIRF_ARC_GHOST)

## ◆ b1_size

size_t [struct].arc_cache b1_size

## ◆ b2

q_t* [struct].arc_cache b2

Ghost entries from T2 (full struct dir with DIRF_ARC_GHOST)

## ◆ b2_size

size_t [struct].arc_cache b2_size

## ◆ c

size_t [struct].arc_cache c

Total cache size

## ◆ enabled

int [struct].arc_cache enabled

0 = LRU mode, 1 = ARC mode

## ◆ p

size_t [struct].arc_cache p

Target size for T1

## ◆ stats

struct [struct].arc_cache.statsstats

## ◆ t1

q_t* [struct].arc_cache t1

Recent entries (cached)

## ◆ t1_size

size_t [struct].arc_cache t1_size

## ◆ t2

q_t* [struct].arc_cache t2

Frequent entries (cached)

## ◆ t2_size

size_t [struct].arc_cache t2_size

The documentation for this struct was generated from the following files: